import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { DomRenderer, DomWrapper } from "igniteui-webcomponents-core";
import { InputGroup } from "igniteui-webcomponents-inputs";
import { Brush } from "igniteui-webcomponents-core";
import { Input } from "igniteui-webcomponents-inputs";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
import { Thickness } from "igniteui-webcomponents-core";
import { CheckboxListIndexType } from "./CheckboxListIndexType";
import { Grid } from "./Grid";
import { GridSelectedKeysCollection } from "./GridSelectedKeysCollection";
import { InputGroupDisplayType } from "igniteui-webcomponents-inputs";
import { FontInfo } from "igniteui-webcomponents-core";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { CheckedChangedEventArgs } from "./CheckedChangedEventArgs";
import { SelectAllCheckboxChangedEventArgs } from "./SelectAllCheckboxChangedEventArgs";
/**
 * @hidden
 */
export declare class CheckboxListView extends Base {
    static $t: Type;
    private d;
    private i;
    private a;
    private h;
    private g;
    constructor();
    b: CheckboxList;
    m(): void;
    e: DomRenderer;
    l(a: DomRenderer): void;
    u(): void;
    v(a: DomRenderer): void;
    r(): void;
    n(a: DomWrapper, b: any, c: boolean): void;
    x(): void;
    w(): void;
    private j;
    k(): void;
    s(a: number, b: boolean): void;
    t(a: boolean): void;
    p(a: any): void;
    private ad;
    ab(): void;
    ae(): void;
    aa(): void;
    private c;
    private f;
    ac(a?: boolean): void;
    private q;
    z(): void;
    y(a: Thickness): void;
    o(a: DomWrapper): void;
}
/**
 * @hidden
 */
export declare class CheckboxList extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private q;
    h: Grid;
    private i;
    private z;
    private d;
    private ae;
    private c;
    private s;
    private u;
    v: InputGroup;
    t: Input;
    private af;
    static readonly cv: Brush;
    static readonly be: string;
    private readonly e;
    private ac;
    private readonly ad;
    private f;
    readonly g: GridSelectedKeysCollection;
    private a;
    b: string[];
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    constructor();
    private ca;
    private b4;
    private b5;
    checkedChanged: (sender: any, args: CheckedChangedEventArgs) => void;
    b1(a: number, b: boolean): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer, b: Grid, c: any): void;
    provideSelectAllSection(a: any): void;
    private bu;
    private br;
    b2(a: string): void;
    private at;
    itemsSource: any;
    private av;
    a2: string;
    private ax;
    bj: string;
    private aw;
    a6: string;
    private w;
    x: InputGroupDisplayType;
    private ap;
    as: number;
    readonly aq: number;
    private aa;
    ab: FontInfo;
    private o;
    p: CheckboxListIndexType;
    private k;
    l: BaseControlTheme;
    private m;
    n: ControlDisplayDensity;
    protected b6(a: string, b: any, c: any): void;
    protected cb(a: string, b: any, c: any): void;
    private ci;
    private cj;
    private b7;
    private b9;
    private ck;
    updateHrMargin(a: Thickness): void;
    provideHrElement(a: DomWrapper): void;
    b3(): void;
    private bv;
    private j;
    cf(a: number): void;
    bo(a: number): void;
    ch(): void;
    bs(): void;
    bz(a: number, b: any, c: any): void;
    bw(): void;
    bx(a: number, b: any): void;
    by(a: number, b: any): void;
    bp(a: any[]): void;
    cg(a: any[]): void;
    private bf;
    bg: string;
    private co;
    cu: Brush;
    private cm;
    cq: Brush;
    readonly ak: boolean;
    private an;
    ao: boolean;
    private static cs;
    private cn;
    cr: Brush;
    private static ct;
    private cp;
    cw: Brush;
    selectAllCheckboxChanged: (sender: any, args: SelectAllCheckboxChangedEventArgs) => void;
    b8(a: boolean): void;
    ah(): boolean;
    ag(): boolean;
    private ar;
    private bq;
    private al;
    am: boolean;
    private ai;
    aj: boolean;
}
